Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoFileMonitor Class Reference

Prints statistics to file. More...

`#include <eoFileMonitor.h>`

Inheritance diagram for eoFileMonitor:

List of all members.

## Public Member Functions
| eoFileMonitor (std::string _filename, std::string _delim=" ", bool _keep=false, bool _header=false)
virtual eoMonitor & | operator() (void)
| The pure virtual function that needs to be implemented by the subclass.
virtual eoMonitor & | operator() (std::ostream &os)
void | printHeader (void)
virtual void | printHeader (std::ostream &os)
virtual std::string | getFileName ()
## Private Attributes
std::string | filename
std::string | delim
bool | keep
bool | header
bool | firstcall

## Detailed Description

Prints statistics to file.

Modified the default behavior, so that it erases existing files. Can be modified in the ctor.

Version:
  MS 25/11/00

Definition at line 44 of file eoFileMonitor.h.

The documentation for this class was generated from the following files:

- eoFileMonitor.h
- eoFileMonitor.cpp